Holger's Java API

## com.antelmann.sql
Enum SQLFunction

    java.lang.Object
      java.lang.Enum<SQLFunction>
          com.antelmann.sql.SQLFunction

All Implemented Interfaces:
  Serializable, Comparable<SQLFunction>

    public enum SQLFunction

extends Enum<SQLFunction>

Since:
  02.12.2009, 18:54:36
Author:
  Holger Antelmann

Enum Constant Summary
`AVG`
`COUNT`
`MAX`
`MIN`
`SUM`

Method Summary
`static SQLFunction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLFunction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUM

    public static final SQLFunction SUM

### AVG

    public static final SQLFunction AVG

### MIN

    public static final SQLFunction MIN

### MAX

    public static final SQLFunction MAX

### COUNT

    public static final SQLFunction COUNT

Method Detail

### values

    public static SQLFunction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SQLFunction c : SQLFunction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SQLFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads